com.taosdata.jdbc.ws.entity

## Class ConCheckInfo

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.ConCheckInfo

    public class ConCheckInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ConCheckInfo(long lastCheckTime, boolean valid)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getLastCheckTime()`
`boolean` `isExpired(long checkTime)`
`boolean` `isValid()`
`void` `setValid(boolean valid)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConCheckInfo

    public ConCheckInfo(long lastCheckTime,
                        boolean valid)

### Method Detail

#### getLastCheckTime

    public long getLastCheckTime()

#### isValid

    public boolean isValid()

#### setValid

    public void setValid(boolean valid)

#### isExpired

    public boolean isExpired(long checkTime)